Querying the get tasks endpoint returns all tasks that have not been deleted. This unfiltered list may be difficult to parse in large projects. This guide shows you how to use query parameters to filter tasks and obtain a more readable list of asynchronous operations.Documentation Index
Fetch the complete documentation index at: https://meilisearch-6b28dec2-webhook-doc-update.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Requirements
- a command-line terminal
- a running Meilisearch project
Filtering tasks with a single parameter
Use the get tasks endpoint to fetch allcanceled tasks:
canceled and failed tasks:
uid, status, type, indexUid, canceledBy, or date. Consult the API reference for a full list of task filtering parameters.
Combining filters
Use the ampersand character (&) to combine filters, equivalent to a logical AND:
movies index that have the type documentAdditionOrUpdate or documentDeletion and have the status of processing.